Bug 474982 - Review Request: nachocalendar - Provides a flexible Calendar component to the Java Platform
Review Request: nachocalendar - Provides a flexible Calendar component to the...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 469896 (view as bug list)
Depends On:
Blocks: 475017
  Show dependency treegraph
 
Reported: 2008-12-06 06:07 EST by Sandro Mathys
Modified: 2009-01-14 22:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 12:01:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2008-12-06 06:07:50 EST
Spec URL: http://red.fedorapeople.org/SRPMS/nachocalendar.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/nachocalendar-0.23-0.1.fc10.src.rpm
Description: Provide a flexible Calendar component to the Java Platform.
Currently is under early development but can be used safely. It comes with
conventient factory classes, providing a fast and easy way to start using
them.

This is a dependency for l2fprod-common, which I'm packaging too (no review
request yet, but coming soon). l2fprod-common is a dependency needed for
tvbrowser, for which a review request exists already.

rpmlint on spec, srpm and noarch-rpms finishes checking without any warnings or
errors.

I'd still need a sponsor.
Comment 1 Sandro Mathys 2008-12-11 20:02:39 EST
Successfully created a mock-(re)build of this version of this pkg.
Comment 2 Mamoru TASAKA 2008-12-15 10:06:06 EST
(Removing NEEDSPONSOR)
Comment 3 Mamoru TASAKA 2008-12-15 12:39:56 EST
Notes:

* License
  - As far as I checked the whole source codes, the license
    tag should be "LGPLv2+".

* EVR (Epoch-Version-Release)
  - Please fix the release number

! %setup
  - "-n %{name}-%{version}" is the default of %setup and
    this can be removed.

* Documents
  - Please consider to add the following file(s) to %doc
------------------------------------------------
CHANGELOG.txt
------------------------------------------------
Comment 4 Sandro Mathys 2008-12-15 23:26:34 EST
Spec URL: http://red.fedorapeople.org/SRPMS/nachocalendar.spec
SRPM URL: http://red.fedorapeople.org/SRPMS/nachocalendar-0.23-1.fc10.src.rpm

New version including much of the experience I got when my jcalendar pkg was reviewed. This includes all of the above should have been addressed.
Comment 5 Mamoru TASAKA 2008-12-16 10:35:19 EST
This package can be approved now.

----------------------------------------------------------------
  This package (nachocalendar) is APPROVED by mtasaka
----------------------------------------------------------------
Comment 6 Sandro Mathys 2008-12-16 11:35:27 EST
New Package CVS Request
=======================
Package Name: nachocalendar
Short Description: Provides a flexible Calendar component to the Java Platform
Owners: red
Branches: F-9 F-10
InitialCC:
Comment 7 Mamoru TASAKA 2008-12-17 07:23:36 EST
*** Bug 469896 has been marked as a duplicate of this bug. ***
Comment 8 Sandro Mathys 2008-12-17 08:09:05 EST
If Mary wants to, I'm happy to let her be the maintainer of this pkg. I really don't care as long as it's part of Fedora ;)
Comment 9 Kevin Fenzi 2008-12-17 19:16:51 EST
cvs done.
Comment 10 Fedora Update System 2009-01-08 08:47:36 EST
nachocalendar-0.23-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/nachocalendar-0.23-1.fc9
Comment 11 Fedora Update System 2009-01-08 08:50:47 EST
nachocalendar-0.23-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/nachocalendar-0.23-1.fc10
Comment 12 Fedora Update System 2009-01-14 21:55:38 EST
nachocalendar-0.23-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-01-14 22:00:08 EST
nachocalendar-0.23-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.